Bug 1329899 - kf5-baloo obsoletes/replaces baloo
Summary: kf5-baloo obsoletes/replaces baloo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: kf5-baloo
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-24 13:36 UTC by Orion Poplawski
Modified: 2016-05-16 19:06 UTC (History)
3 users (show)

Fixed In Version: kf5-baloo-5.21.0-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-16 19:06:13 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2016-04-24 13:36:35 UTC
Description of problem:

kf5-baloo obsoletes baloo in EPEL7.  This does not seem appropriate for EPEL.

Version-Release number of selected component (if applicable):
5.21.0-1.el7

Comment 1 Orion Poplawski 2016-04-24 13:39:36 UTC
Hmm, maybe not a big deal as baloo is only in the kde for EPEL7 repo, but still seems a bit off.

Comment 2 Daniel Vrátil 2016-04-25 06:26:16 UTC
baloo is provided by the base system and needed for KDE4, so indeed we should not obsolete, but find a way for them to co-exist (I think we did something like that in the beginning when Baloo was moved to Frameworks?).

Comment 3 Tuomo Soini 2016-04-25 07:38:29 UTC
baloo is not part of base system.

Comment 4 Rex Dieter 2016-04-27 15:43:09 UTC
Icky.  

So yeah, I agree with Dan in comment #2, need to come up with a co-existence plan.

Comment 5 Rex Dieter 2016-04-27 15:56:04 UTC
quick-n-dirty fix for now until we have something better:

%changelog
* Wed Apr 27 2016 Orion Poplawski <orion@cora.nwra.com> - 5.21.0-2
- Do not obsolete/provide baloo{-file} in EPEL, use Conflicts (for now)
- update URL

Comment 6 Fedora Update System 2016-04-27 16:09:06 UTC
kf5-baloo-5.21.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8524df769c

Comment 7 Fedora Update System 2016-04-28 02:29:31 UTC
kf5-baloo-5.21.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8524df769c

Comment 8 Orion Poplawski 2016-04-28 23:01:04 UTC
Unfortunately we may need manual intervention:

---> Package kf5-baloo.x86_64 0:5.21.0-1.el7 will be updated
--> Processing Dependency: baloo >= 4.14.3-1.el7.centos for package: baloo-libs-4.14.3-1.el7.centos.x86_64
---> Package kf5-baloo.x86_64 0:5.21.0-2.el7 will be an update
--> Running transaction check
---> Package baloo.x86_64 0:4.14.3-1.el7.centos will be installed
--> Processing Conflict: kf5-baloo-5.21.0-2.el7.x86_64 conflicts baloo < 5

I can work around it with:

yum swap kf5-baloo baloo

I suppose for one release we to omit the Conflicts and not ship /usr/bin/baloo* in kf5-baloo.  This would allow users to update and then remove the kf5* packages without any fancy yum commands.

Comment 9 Rex Dieter 2016-04-29 11:55:39 UTC
This will only affect users who had kf5-baloo installed since the last update, is that a large enough audience to be worth implementing more workarounds?

I thought there was more to conflicts than just the /usr/bin/baloo* stuff (but I could be wrong)

Comment 10 Rex Dieter 2016-04-29 11:57:59 UTC
More thoughts:

I *think* kf5-baloo can work with baloo-libs-4.x too (that's why the baloo-libs dep is baloo >= 4.14).  

Actually, the Requires: baloo dep in baloo-libs could probably be dropped too

Comment 11 Rex Dieter 2016-04-29 12:13:42 UTC
(sorry for comment spam), but for completeness, as far as conflicts go, the only other thing to worry about is:
/usr/share/icons/hicolor/*/apps/baloo.*

Comment 12 Orion Poplawski 2016-04-29 15:42:07 UTC
(In reply to Rex Dieter from comment #9)
> This will only affect users who had kf5-baloo installed since the last
> update, is that a large enough audience to be worth implementing more
> workarounds?

I really don't know - but it's everyone who is using the rdieter/kde4 COPR.  I know how to workaround it though so I'm fine either way.

> I thought there was more to conflicts than just the /usr/bin/baloo* stuff
> (but I could be wrong)

That's all that yum reported to me.  Looks like the icon is identical so no conflict there.

kf5-baloo-libs no longer requires kf5-baloo, and yeah that requires looks odd to me.

Comment 13 Rex Dieter 2016-04-29 15:44:35 UTC
OK, so here's what I'm leaning towards...  going back to using Obsoletes then (with no kf5-baloo-libs dep on kf5-baloo)

Comment 14 Orion Poplawski 2016-04-29 15:50:51 UTC
I don't follow - there already is no dep on kf5-baloo from kf5-baloo-libs, and any obsoletes will pull in the kf5 stuff which I don't think is desirable.

Comment 15 Fedora Update System 2016-04-29 16:48:10 UTC
kf5-baloo-5.21.0-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8524df769c

Comment 16 Fedora Update System 2016-04-30 04:23:52 UTC
kf5-baloo-5.21.0-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8524df769c

Comment 17 Fedora Update System 2016-05-16 19:06:09 UTC
kf5-baloo-5.21.0-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.